{{ $appSection := "accessProxy" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ $appName }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "permission-proxy.labels" . | nindent 4 }}
spec:
  ports:
  - name: {{ index .Values $appSection "port" | quote }}
    port: {{ index .Values $appSection "port" }}
    targetPort: {{ index .Values $appSection "port" }}
  selector:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "permission-proxy.selectorLabels" . | nindent 4 }}
{{ end }}
